/**
 * Copyright (C) 2001-2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.perseus.persistence.api;

/**
 *
 * @author S.Chassande-Barrioz
 */
public interface TransactionalWorkingSet extends WorkingSet{

	/**
	 * The status of a transactional context which is not already committed
	 * or aborted.
	 */
	byte CTX_ACTIVE_TRANSACTIONAL = 2;

    /**
     * The status of a prepared context
     */
    byte CTX_PREPARED = 4;

    /**
     * The status of a prepared context
     */
    byte CTX_PREPARED_OK = 5;

    /**
     * The status of a prepared context
     */
    byte CTX_PREPARED_FAIL = 6;

	/**
	 * The status of a committed transactional context
	 */
	byte CTX_COMMITTED = 8;

	/**
	 * The status of an aborted transactional context
	 */
	byte CTX_ABORTED = 16;
	
	/**
	 * Indicates if the transactional working must rollback at the end.
	 */
	boolean getWSRollBackOnly();

	/**
	 * Permit to indicates if the transactional working must rollback at the 
	 * end.
	 */
	void setWSRollBackOnly(boolean val);

}
